function v = value_at_k_t(k, t, T, alpha_0, beta_0)    
    [alpha, beta] = posterior_at_k_t(k, t, alpha_0, beta_0);

    v = 1 - betamoment(T - t, beta, alpha);
end

function mom = betamoment(m, alpha, beta)
    if m == 0
        mom = 1;
    else
        mom = (alpha + m - 1)/(alpha + beta + m - 1)*betamoment(m - 1, alpha, beta);
    end
end